﻿using System;
using Comm.Wcf.Interfaces;

#pragma warning disable 1591

namespace Comm.Wcf.Client
{
    /// <summary>
    ///   Description for DataClient
    /// </summary>
    [System.Diagnostics.DebuggerStepThroughAttribute]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public class DataClient : System.ServiceModel.DuplexClientBase<IData>, IData
    {
        #region Constructor/Destructors

        public DataClient(System.ServiceModel.InstanceContext callbackInstance) :
            base(callbackInstance)
        {
        }

        public DataClient(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName) :
            base(callbackInstance, endpointConfigurationName)
        {
        }

        public DataClient(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName,
                             string remoteAddress) :
            base(callbackInstance, endpointConfigurationName, remoteAddress)
        {
        }

        public DataClient(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName,
                             System.ServiceModel.EndpointAddress remoteAddress) :
            base(callbackInstance, endpointConfigurationName, remoteAddress)
        {
        }

        public DataClient(System.ServiceModel.InstanceContext callbackInstance,
                             System.ServiceModel.Channels.Binding binding,
                             System.ServiceModel.EndpointAddress remoteAddress) :
            base(callbackInstance, binding, remoteAddress)
        {
        }

        #endregion

        #region IData Members

        public void RequestAliveRoundTrip(System.Guid id)
        {
            base.Channel.RequestAliveRoundTrip(id);
        }

        public void RequestHelloWorld(Guid id)
        {
            base.Channel.RequestHelloWorld(id);
        }

        public void Subscribe(Guid id)
        {
            base.Channel.Subscribe(id);
        }

        public void Unsubscribe(Guid id)
        {
            base.Channel.Unsubscribe(id);
        }

        #endregion
    }
}